org.fourthline.cling.registry

## Class RegistrationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.fourthline.cling.registry.RegistrationException

- All Implemented Interfaces:
    Serializable

      public class RegistrationException
      extends RuntimeException

  A recoverable error, thrown if device metadata could not be registered.
  Author:
    Christian Bauer
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<ValidationError>` | `errors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrationException(String s)`
    `RegistrationException(String s, List<ValidationError> errors)`
    `RegistrationException(String s, Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ValidationError>` | `getErrors()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errors

          public List<ValidationError> errors

  - ### Constructor Detail

    - #### RegistrationException

          public RegistrationException(String s)

    - #### RegistrationException

          public RegistrationException(String s,
                                       Throwable throwable)

    - #### RegistrationException

          public RegistrationException(String s,
                                       List<ValidationError> errors)

  - ### Method Detail

    - #### getErrors

          public List<ValidationError> getErrors()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.